LMMS(1)

NAME
lmms - software for easy music production

SYNOPSIS
lmms [ --allowroot ]
lmms [ --bitrate bitrate ]
lmms [ --config configfile ]
lmms [ --dump in ]
lmms [ --float ]
lmms [ --format format ]
lmms [ --geometry geometry ]
lmms [ --help ]
lmms [ --interpolation method ]
lmms [ --import in [ -e ] ]
lmms [ --loop ]
lmms [ --mode stereomode ]
lmms [ --output path ]
lmms [ --oversampling value ]
lmms [ --profile out ]
lmms [ --render file ] [options]
lmms [ --samplerate samplerate ]
lmms [ --upgrade in out ]
lmms [ --version ]
lmms [ file ]

DESCRIPTION

LMMS LMMS is a free cross-platform alternative to commercial programs like FL Studio®, which allow you to produce music with your computer. This includes the creation of melodies and beats, the synthesis and mixing of sounds, and arranging of samples. You can have fun with your MIDI-keyboard and much more; all in a user-friendly and modern interface. LMMS features components such as a Song Editor, a Beat+Bassline Editor, a Piano Roll, an FX Mixer as well as many powerful instruments and effects.

OPTIONS

-a, --float
    32bit float bit depth

-b, --bitrate bitrate
    Specify output bitrate in KBit/s (for OGG encoding only), default is 160

-c, --config configfile
    Get the configuration from configfile instead of ~/.lmmsrc.xml (default)

-d, --dump in
    Dump XML of compressed file in (i.e. MMPZ-file)

-f, --format format
    Specify format of render-output where format is either 'wav', 'ogg' or 'mp3'.

--geometry geometry
    Specify the prefered size and position of the main window
    geometry syntax is <xsizexysize+xoffset+yoffset>.
    Default: full screen

-h, --help
    Show usage information and exit.

-i, --interpolation method
    Specify interpolation method - possible values are linear, sincfastest (default), sincmedium, sincbest

--import in -e
    Import MIDI file in
    If -e is specified lmms exits after importing the file.

-l, --loop
    Render the given file as a loop, i.e. stop rendering at exactly the end of the song. Additional silence or reverb tails at the end of the song are not rendered.

-m, --mode stereomode
    Set the stereo mode used for the MP3 export. stereomode can be either 's' (stereo mode), 'j' (joint stereo) or 'm' (mono). If no mode is given 'j' is used as the default.

-o, --output path
    Render into path
    For --render, this is interpreted as a file path.
    For --render-tracks, this is interpreted as a path to an existing directory. IP "-p, --profile out Dump profiling information to file out

-r, --render project-file
    Render given file to either a wav- or ogg-file. See -f for details

-r, --rendertracks project-file
    Render each track into a separate wav- or ogg-file. See -f for details

-s, --samplerate samplerate
    Specify output samplerate in Hz - range is 44100 (default) to 192000

-u, --upgrade in out
    Upgrade file in and save as out

-v, --version
    Show version information and exit.

-x, --oversampling value
    Specify oversampling, possible values: 1, 2 (default), 4, 8

--allowroot
    Bypass root user startup check (use with caution).

SEE ALSO
https://lmms.io/ https://lmms.io/documentation/ https://github.com/LMMS/lmms

AUTHORS
Tobias Doerffel <tobydox/at/users.sourceforge.net>, Paul Giblock and others. See AUTHORS for details.